---
sourceDocument: 호주 API 참조
sourceDocumentLink: https://servicenow-prod.fluidtopics.net/r/ko-KR/api-reference

 Release :

    - australia

ft:locale :

    - ko-KR

ft:publication_title :

    - 호주 API 참조

ft:clusterId :

    - crapiref

bundleId :

    - crapiref

workflow :

    - Creator


---

# v_table -- 범위 지정, 전역

# v_table -- 범위 지정, 전역 {#ariaid-title1}

* 릴리스 버전: Australia
* 
* 업데이트 날짜 2026년 03월 12일
* 
* ![](https://www.servicenow.com/docs/portal-asset/ico-clock) 소요 시간: 3분

v_table API는 스크립트 객체를 통해 원격 테이블에 행을 추가하는 메서드를 제공합니다.

이 API를 사용하려면 원격 테이블 플러그인(com.glide.script.vtable)을 활성화해야 합니다. 자세한 내용은 [원격 테이블 및 스크립트를 사용하여 외부 데이터 검색을 참조하십시오.](https://www.servicenow.com/docs/access?context=remote-tables&version=australia&pubname=australia-servicenow-platform&ft:locale=en-US)

[v_query](https://servicenow-prod.fluidtopics.net/O6_TgChbdOYd7tXE1ym3jQ#v_queryAPI "v_query API에는 원격 테이블에 대해 실행되는 쿼리를 나타내는 스크립트 가능한 객체에 대한 정보를 가져오는 메서드가 있습니다.") 스크립트 가능 객체를 사용하여 원격 테이블을 쿼리합니다.

## v_table - addRow(객체 행) {#ariaid-title2}

원격 테이블에 행을 추가합니다.
참조 :

* [원격 테이블에 대한 스크립트 정의 만들기](https://www.servicenow.com/docs/access?context=create-remote-table-script&version=australia&pubname=australia-servicenow-platform&ft:locale=en-US)
* [기록 시스템에서 원격 정보 조회](https://www.servicenow.com/docs/access?context=fso-int_guide-agt_table_lookup&version=australia&pubname=australia-financial-services-operations&ft:locale=en-US)
* [외부 공급업체 소스에서 특정 기록 검색](https://www.servicenow.com/docs/access?context=remote-table-script-def-example2&version=australia&pubname=australia-servicenow-platform&ft:locale=en-US)
* [v_query API](https://servicenow-prod.fluidtopics.net/O6_TgChbdOYd7tXE1ym3jQ#v_queryAPI "v_query API에는 원격 테이블에 대해 실행되는 쿼리를 나타내는 스크립트 가능한 객체에 대한 정보를 가져오는 메서드가 있습니다.")
{#v_table-addRow_O__ul_eyp_csw_rqb}
{#v_table-addRow_O__table_udd_bdj_nlb__entry__3}

| 이름 | 유형 | 설명 |
|-|-|-|
| 행 | 객체 | 키가 필드 이름인 필드 이름 및 값 맵을 포함하는 JavaScript 객체입니다(예: `{number: "INC0001", sys_id: "a34"}`). { "<field name>": "value" } |
| row.\<field 값\> | 문자열 | 선택한 필드의 값을 나타냅니다. 필수 필드는 없지만 최소한 sys_id 제공하십시오. sys_id 필드와 값만 나열하는 예: { "sys_id": "<uniqueID>" } |
[표 1. 매개변수]

{#v_table-addRow_O__table_udd_bdj_nlb} {#v_table-addRow_O__table_vdd_bdj_nlb__entry__2}

| 유형 | 설명 |
|-|-|
| 부울 | 행이 원격 테이블에 추가되었는지 여부를 나타내는 플래그입니다. 유효한 값은 다음과 같습니다. * true: 성공. * false: 행이 추가되지 않았습니다. {#v_table-addRow_O__ul_jdl_pfb_add} |
[표 2. 반환]

{#v_table-addRow_O__table_vdd_bdj_nlb}  
다음 예제는 [RESTMessageV2](https://servicenow-prod.fluidtopics.net/puWLc8fq7jgxuK3gZURKzw#c_RESTMessageV2API "RESTMessageV2 API는 JavaScript를 사용하여 아웃바운드 REST 메시지를 보낼 수 있는 메서드를 제공합니다.") API를 사용하여 외부 은행 애플리케이션에 대한 REST 호출을 생성하고 실행하는 방법을 보여줍니다. 이 스크립트는 addRow() 메서드를 사용하여 반환 결과를 원격 테이블에 저장하는 방법을 보여줍니다.

    (function executeQuery (v_table, v_query) {
      // Parameters needed in the request body of the REST endpoint
      var requestBody = {
        'financial_account':v_query.getParameter('financial_account')
      };

      // Instantiate the RESTMessageV2 object
      var request = new sn_ws.RESTMessageV2();
      // Set the HTTP method as "GET"
      request.setHttpMethod('get');
      // URL of the endpoint on the bank application
      request.setEndpoint('https://<yourbankapphost>/api/getTransactionDetails');
      // Request body as a string
      request.setRequestBody(JSON.stringify(requestBody));
      // Call the REST endpoint
      var response = request.execute();
      // Get the response body
      var responseBody = response.getBody();
      // Parse the response body into an object
      var responseObj = JSON.parse(responseBody);

      // Store the response body into a virtual table
      v_table.addRow({
        sys_id: gs.generateGUID(),
        amount: responseObj.amount,
        description: responseObj.description,
        posting_date: responseObj.posting_date,
        transaction_date: responseObj.transaction_date
      });

    }) (v_table, v_query);


